day=4
month=10
year=2001
author=Tony Auth
message=The least heinous thing to be said about this cartoon is that it could be an observation or opinion that since the Taliban has corrupted Islam to such a large extent, it might as well use the Koran as fuel for this winters cave fires.  After that, if this cartoon is not racist, it is certainly tasteless... well, it might be tasteless regardless.
id=1004911202797

